curl --request GET \
--url https://api.baselayer.com/ofac/searches/batches \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/ofac/searches/batches"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/ofac/searches/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "a2e702a1-34b6-4401-bc1c-2d5d07b2a957",
"name": "ofac_batch_1.csv",
"similarity_threshold": 0.9,
"state": "COMPLETED",
"entities_count": 100,
"valid_entities_count": 100,
"entities_with_match_count": 10,
"invalid_entities_count": 10,
"created_at": "2026-08-31T10:31:07.823202",
"updated_at": "2026-08-31T10:31:07.823211"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Ofac Batches
List all OFAC batches for the authenticated organization.
Authorizations
Query Parameters
Maximum number of records to return in a single page. Must be between 1 and 1000.
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Response
List of OFAC batches.
The unique identifier of the OFAC batch.
"a2e702a1-34b6-4401-bc1c-2d5d07b2a957"
The name of the ofac batch file
"ofac_batch_1.csv"
The similarity threshold for the OFAC search
0 <= x <= 10.9
0.95
0.99
The current processing state of the ofac batch
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED "COMPLETED"
Total number of entities in the batch
100
Total number of valid entities in the batch
100
Total number of entities with a match in the batch
10
Total number of invalid entities in the batch
10
When the ofac batch was created
"2026-08-31T10:31:07.823202"
When the ofac batch was updated
"2026-08-31T10:31:07.823211"